> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidjutsu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update account



## OpenAPI

````yaml /openapi/spec.json put /v1/accounts
openapi: 3.0.0
info:
  title: VidJutsu API
  version: 2026-05-24-2
servers:
  - url: https://api.vidjutsu.ai
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Assets
  - name: Editor Projects
  - name: Scrape
  - name: Billing
  - name: API Keys
  - name: Usage
  - name: Info
  - name: Pricing
  - name: Subscriptions
  - name: Auth
  - name: Accounts
  - name: Posts
  - name: References
  - name: Upload
  - name: Watch
  - name: Extract
  - name: Transcribe
  - name: Check
  - name: Compliance
  - name: Overlay
  - name: Disclaimer
  - name: Agent
paths:
  /v1/accounts:
    put:
      tags:
        - Accounts
      summary: Update account
      operationId: updateAccount
      parameters:
        - name: id
          in: query
          required: true
          schema:
            type: string
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountUpdateRequest'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountUpdateResponse'
components:
  schemas:
    AccountUpdateRequest:
      type: object
      properties:
        handle:
          type: string
        name:
          type: string
        bio:
          type: string
        pfp:
          type: string
        niche:
          type: string
        linkInBio:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
    AccountUpdateResponse:
      type: object
      required:
        - accountId
        - updated
      properties:
        accountId:
          type: string
        updated:
          type: boolean
          enum:
            - true
    Tag:
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
        value:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````